<main class="viewer__container">
  <div class="viewer__fullwidth">
    <article>
      <section>
        <form class="form-signin" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
          <h1>{{ title }}</h1>
          <div class="form-label-group">
            <input
              type="text"
              id="email"
              placeholder="Email address"
              formControlName="email"
              class="form-control"
            />
            <span *ngIf="!loginForm.get('email').valid && loginForm.get('email').touched" class="help-block">
              <p>Geef een geldig emailadres.</p>
            </span>
          </div>

          <div class="form-label-group">
            <input
              type="password"
              id="password"
              placeholder="Password"
              formControlName="password"
              class="form-control"
            />
            <span
              *ngIf="!loginForm.get('password').valid && loginForm.get('password').touched"
              class="help-block"
            >
              <p>Geef een geldig wachtwoord.</p>
            </span>
          </div>

          <button class="btn btn-lg btn-primary btn-block" type="submit" [disabled]="!loginForm.valid">
            Sign in
          </button>
          <p class="mt-5 mb-3 text-muted text-center">
            Demo: log in met email 'admin@avans.nl' en wachtwoord 'secret'.
          </p>
          <p class="mt-5 mb-3 text-muted text-center">
            &copy; Avans Informatica Breda 2018-2019
          </p>
        </form>
      </section>
    </article>
  </div>
</main>
